repo/gentoo:master commit in: dev-python/stripe/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117907.b81c077cf2161ebec82bb9853831b935bd21b9d1.mgorny@gentoo>
commit:     b81c077cf2161ebec82bb9853831b935bd21b9d1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 04:36:49 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b81c077c

dev-python/stripe: Bump to 15.5.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/stripe/Manifest             |  2 +
 dev-python/stripe/stripe-15.5.1.ebuild | 92 ++++++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 4a5e82f0035e..6bf4c65d2fbf 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -4,3 +4,5 @@ DIST stripe-15.4.0.tar.gz 1538270 BLAKE2B e2fed8eb46ec91a8f27ca3408b6b32a0c3b365
 DIST stripe-15.4.0.tar.gz.provenance 9618 BLAKE2B 7772df6031e1cebb15bbbfff575dc6e7a0b86477dbc6c261221aab1398da0f35c3524f925e92f6931c5fd30195a054421d7241644ed32452af2f0c06f288682d SHA512 c05853f5a4841b2f6e9a1bba6c27eab320f10392b2c922e1bacaaac0fbd3bbd21e6eae7375dc50ea4c9e2dbab1a5a1f5536d88f14d628bead3477968daa93cfb
 DIST stripe-15.5.0.tar.gz 1542610 BLAKE2B 0a0d6fad6bd63fd2f062fa3708b1a8367bc04115c1e05966139066958141a258e1136a54d04f9a54b1f2f052f3fedb11926f3316c60df7c95a79904957fa6552 SHA512 8a3ecc545ebdf83a2c4889e63d4246f37c47a4ec8f880002e8c7968b2e26ea5dd75fed967a6797e8dc62354e412cc62c83e81a79a70a1814109f9fe1f29aee77
 DIST stripe-15.5.0.tar.gz.provenance 9567 BLAKE2B 2a003a554c4256a955ea988d467a12edfc3421443b3333bcf7024013a624ee39f59b8d32fca835b9c5fdbaf840925d6ccecce399b47302f7c77796065765a64d SHA512 b203e9dc67361afba423610676cf34a52d000e26734b1351a13b2d529c6e70fa1c1f1667836ca6598e86eb77102839aaf9a5d6e29c453083d8f4e93fa7ead92f
+DIST stripe-15.5.1.tar.gz 1544797 BLAKE2B d2af1a485a4ace353c35240c3daa4cc15b6e557a16f510633a56849c885db09007a67034965271a184a5f0089abfbd058995e40c7fa44ed7fbefa565e89de382 SHA512 3c31ff744972622323faa84598b75718bcda8a5dac4e2e510ff1c5265af2306f2ef7fbd005aa6ad48659102c5b60d8c84dd4666ba1631096260b7f68c291a63c
+DIST stripe-15.5.1.tar.gz.provenance 9722 BLAKE2B 3b89619847e7ed07348ce8b386063da97d635d4a246e224a16371d1ef4a737d29286e68207da4d3ff045f37d24fdfe9192e7d830780a9dd972ef56fa50c53940 SHA512 27fd6ebf1e35c2057a36a2e930a63b5f88f6ca9371e1c1f3b51e3d181f401ceb0d0068962f3bdd9c197dc3d7c2cb557f2b3c9c955fd39238c54d88ff14ac446a

diff --git a/dev-python/stripe/stripe-15.5.1.ebuild b/dev-python/stripe/stripe-15.5.1.ebuild
new file mode 100644
index 000000000000..d84c1d93ae16
--- /dev/null
+++ b/dev-python/stripe/stripe-15.5.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/stripe/stripe-python
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe Python bindings"
+HOMEPAGE="
+	https://github.com/stripe/stripe-python/
+	https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="telemetry"
+
+RDEPEND="
+	>=dev-python/requests-2.20[${PYTHON_USEDEP}]
+	>=dev-python/typing-extensions-4.7.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+	test? (
+		>=dev-util/stripe-mock-0.201.0
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+		dev-python/httpx[${PYTHON_USEDEP}]
+		dev-python/trio[${PYTHON_USEDEP}]
+		net-misc/curl
+	)
+"
+
+EPYTEST_PLUGINS=( anyio pytest-mock )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	if ! use telemetry; then
+		sed -i -e '/enable_telemetry/s:True:False:' stripe/__init__.py || die
+	fi
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# Internet
+		tests/test_http_client.py::TestLiveHTTPClients::test_httpx_request_async_https
+		'tests/test_integration.py::TestIntegration::test_async_raw_request_timeout[asyncio-aiohttp]'
+		# timing
+		tests/test_integration.py::TestIntegration::test_passes_client_telemetry_when_enabled
+	)
+
+	epytest -o addopts= tests
+}
+
+src_test() {
+	local stripe_mock_port=12111
+	local stripe_mock_max_port=12121
+	local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+	# Try to start stripe-mock until we find a free port
+	while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+		ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+		stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+		local stripe_mock_pid=${!}
+		sleep 2
+		# Did stripe-mock start?
+		curl --fail -u "sk_test_123:" \
+			"http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+		eend ${?} "Port ${stripe_mock_port} unavailable"
+		if [[ ${?} -eq 0 ]]; then
+			einfo "stripe-mock running on port ${stripe_mock_port}"
+			break
+		fi
+		(( stripe_mock_port++ ))
+	done
+	if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+		eerror "Unable to start stripe-mock for tests"
+		die "Please see the logfile located at: ${stripe_mock_logfile}"
+	fi
+
+	local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+	distutils-r1_src_test
+
+	# Tear down stripe-mock
+	kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.